Set the iterator position

- « Imagick::setImageGreenPrimary

- Imagick::setImageInterlaceScheme »

- PHP Manual
- Imagick
- Set the iterator position

# Imagick::setImageIndex

(PECL imagick 2, PECL imagick 3)

Imagick::setImageIndex — Set the iterator position

Warning

This function has been DEPRECATED as of Imagick 3.4.4. Relying on this function is highly discouraged.

### Description

public Imagick::setImageIndex(int `$index`): bool

Set the iterator to the position in the image list specified with the index parameter.

This method has been deprecated. See Imagick::setIteratorIndex().

### Parameters

`index`

  The position to set the iterator to

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.